\documentclass{article}
% Both datatool and ticket use inspired by 
% https://tex.stackexchange.com/questions/94582/automating-the-creation-of-name-badges-for-an-event

% Load the ticket system
\usepackage[crossmark]{ticket}
% Page style
%\usepackage[landscape]{geometry}
\usepackage[paperheight=312mm,paperwidth=120mm,margin=0mm]{geometry}
\setlength{\topskip}{0pt}
%\pagestyle{empty}
% Font and encoding settings
\input{rh-fonts.tex}

% Enable graphics
\usepackage{graphicx}
% Automatic data processing package
\usepackage{datatool}

% Ticket setup
\setlength{\unitlength}{1mm}
%\ticketSize{105}{297}
\ticketSize{120}{312}
\ticketDistance{0}{0}
\ticketNumbers{1}{1}

% Make your default ticket. \ticketdefault is somewhat like a background
\renewcommand{\ticketdefault}{%
  \put(0,0){\includegraphics[page=2]{nameplate}}
}

% now what do you like to put in your ticket
\newcommand{\nametag}[6]{\ticket{ % name, surname, affiliation, job, interests, lunch
  \put(60,124){\makebox[0mm]{\parbox[t][][t]{100mm}{\fontsize{36}{43}\centering\rhDisplay\bfseries #1}}} % name
  \put(60,110){\makebox[0mm]{\parbox[t][][t]{100mm}{\fontsize{36}{43}\centering\rhDisplay\bfseries #2}}} % surname
  \put(60,95){\makebox[0mm]{\parbox[b][][b]{100mm}{\fontsize{16}{19}\centering\rhDisplay\sbseries #3}}} % affiliation
  \put(60,89){\makebox[0mm]{\parbox[t][][t]{100mm}{\fontsize{12}{14}\centering\rhDisplay\sbseries\itshape #4}}} % job
  \put(60,76){\makebox[0mm]{\parbox[t][][t]{90mm}{\fontsize{12}{15}\centering\rhText #5}}} % intrests
  \put(4.5,143.3){\includegraphics[page=#6]{nameplate-lunch}} % lunch
}}

\begin{document}

% Load attendees list
% default separator is coma and default delimiter is double quote      
% \DTLsetseparator{,}
% \DTLsetdelimiter{"}
%\DTLloaddb{attendees}{attendees-sample.csv}
\DTLloaddb{attendees}{attendees.csv}

% Start nametags
\DTLforeach{attendees}{%
  \name=name,
  \surname=surname,
  \affiliation=affiliation,
  \job=job,
  \interests=interests,
  \lunchOption=lunchOption}{%
\nametag{\name}{\surname}{\affiliation}{\job}{\interests}{\lunchOption}
} % End nametags

\end{document}
